

# Nut

[![Build Status](https://travis-ci.org/HamedMasafi/Nut.svg?branch=master)](https://travis-ci.org/HamedMasafi/Nut)
[![GitLicense](https://gitlicense.com/badge/hamedmasafi/nut)](https://gitlicense.com/license/hamedmasafi/nut)
[![Codacy 
Badge](https://api.codacy.com/project/badge/Grade/f3802610beb946068f6cd2c2b6608a8b)](https://www.codacy.com/app/HamedMasafi/Nut?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=HamedMasafi/Nut&amp;utm_campaign=Badge_Grade)

## Advanced, Powerful and easy to use ORM for Qt5


## Features:

 - Easy to use
 - Support PosgtreSQL, MySQL, SQLite and Microsoft Sql Server
 - Automatically create and update database
 - IDE auto complete support, No hard-code nedded
 - Table join detect 
 - Suppor every Qt types. [Full list](doc/datatypes.md)

## Getting start
* [Sample codes](doc/start.md)
* [Shared pointer and regular mode](sharedpointer.md)
* [Create database class](database.md)
* [Create table class](table.md)
* [Using queries](query.md)
* [Supported data types](datatypes.md)

### Donate
Butcoin address: 1Dn1WHKkaxanXe4cTGDk4cFRRABxLUpEVj


![Wallet addresst](btc-qr.png)

For more information read [Wiki](wiki).
